package com.bonus.sgzb.material.service;

import com.bonus.sgzb.common.core.web.domain.AjaxResult;
import com.bonus.sgzb.material.config.PageResultVo;
import com.bonus.sgzb.material.domain.MaWholeSetDto;
import com.bonus.sgzb.material.domain.MaWholeTreeVo;
import com.bonus.sgzb.material.domain.MaWholeVo;

import java.util.List;

/**
 * 整套抱杆服务层
 * @Author ma_sh
 * @create 2024/4/15 17:17
 */
public interface MaWholeSetService {

    /**
     * 新增整套抱杆管理
     * @param dto
     * @return
     */
    AjaxResult insert(MaWholeSetDto dto);

    /**
     * 查询整套抱杆管理
     * @param dto
     * @return
     */
    PageResultVo<MaWholeVo> selectList(MaWholeSetDto dto);

    /**
     * 查询整套抱杆明细
     * @param dto
     * @return
     */
    List<MaWholeVo> selectListById(MaWholeSetDto dto);

    /**
     * 根据id删除
     * @param dto
     * @return
     */
    AjaxResult deleteById(MaWholeSetDto dto);

    /**
     * 修改整套抱杆管理
     * @param dto
     * @return
     */
    AjaxResult update(MaWholeSetDto dto);

    /**
     * 修改时查询整套抱杆明细
     * @param id
     * @return
     */
    MaWholeTreeVo selectListTree(Integer id);
}
